#pragma once

#include "CoreMinimal.h"
#include "HudPresenter.h"
#include "UObject/SoftObjectPtr.h"
#include "MatchInfoNotificationViewData.h"
#include "HudMatchInfoNotificationPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class UHudMatchInfoNotificationPresenter : public UHudPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> MatchInfoNotificationWidgetClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float NotificationDuration;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<FMatchInfoNotificationViewData> _pendingNotificationData;

public:
	UHudMatchInfoNotificationPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UHudMatchInfoNotificationPresenter) { return 0; }
